var filters = angular.module("famousFilters", []);

filters.filter("prepareHtml", ['$sce', function($sce){
	return function(htmlCode){
		return $sce.trustAsHtml(htmlCode);
	}
}]);

filters.filter('placeColors', function(){
    return function (num){
    	switch(num){
    		case 1:
				return "border: 2px solid #00AC35; color: #00AC35;";
			case 2:
				return "border: 2px solid #FF862D; color: #FF862D;";
			case 3:
				return "border: 2px solid #DD3131; color: #DD3131;";
			case 4:
				return "border: 2px solid #1FA6B6; color: #1FA6B6;";
			case 5:
				return "border: 2px solid #6A80F0; color: #6A80F0;";
			default:
				return "border: 2px solid transparent;";
    	}
    	return "";
    };
});

filters.filter("defineType", function($sce){
	return function(type, scope){
		if(type == Constant.LIKE_TYPE)
			return scope.likesText;
		else if(type == Constant.SUBSCRIBE_TYPE)
			return scope.subsText;
		else if(type == Constant.QUEST_TYPE)
			return scope.questionsText;
	}
});