var Bid = Quest.extend({
	link: null,
	meta: null,
	head: null,
	type: null,
	targetCount: null,
	append: "",
	
	constructor: function(link, targetCount, type){
		this.link = link;
		this.targetCount = targetCount;
		this.type = type;
		this.id = this.parseId(link);
	},

	/* parse Quest id */
	parseId: function(link){
		var arr = link.split('/');
		if(arr){
			if(this.type == Constant.LIKE_TYPE){
				var res = arr[3] + "/" + arr[4] + "/" + arr[5];
				return res;
			}else if(this.type == Constant.SUBSCRIBE_TYPE){
				var res = arr[3];
				return res;
			}else if(this.type == Constant.QUEST_TYPE){
				var res = arr[3];
				this.append =  "/" + arr[4];
				return res;
			}
		}
	},
	
	idAppend: function(){
		this.id += this.append;
	},

	getAppend: function(){
		return this.append;
	},
	
	/* get and set Bid.link */
	setLink: function(link){
		this.link = link;
	},
	
	getLink: function(){
		return Constant.HOME_PAGE + this.id;
	},

	/* get and set Bid.meta */
	setMeta: function(meta){
		this.meta = meta;
	},
	
	getMeta: function(){
		return this.meta;
	},
	
	/* get and set Bid.head */
	setHead: function(head){
		this.head = head;
	},
	
	getHead: function(){
		return this.head;
	},

	/* get and set Bid.type */
	setType: function(type){
		this.type = type;
	},
	
	getType: function(){
		return this.type;
	},
	
	/* get and set Bid.targetCount */
	setTargetCount: function(targetCount){
		this.targetCount = targetCount;
	},

	getTargetCount: function(){
		return this.targetCount;
	}
});