var Quest = Base.extend({
	type: null,
	id: null,
	targetId: null,
	needPay: true,
	lang: null,
	
	constructor: function(id, targetId, type){
		this.type = type;
		this.id = id;
		this.targetId = this.prepareLink(targetId);
	},
	
	prepareLink: function(id){
		if(id.indexOf("answers") === -1){
			if(id.indexOf("answer") !== -1){
				id = id.replace("answer", "answers");
			}
		}
		if(this.type == Constant.QUEST_TYPE){
			var arr = id.split("/");
			id = arr[0];
			this.lang = arr[1];
		}
		return id;
	},

	/* get and set Quest.type */
	setType: function(type){
		this.type = type;
	},
	
	getType: function(){
		return this.type;
	},
	
	/* get and set Quest.id */
	setId: function(id){
		this.id = id;
	},
	
	getId: function(){
		return this.id;
	},
	
	/* get and set Quest.targetId */
	setTargetId: function(targetId){
		this.targetId = targetId;
	},
	
	getTargetId: function(){
		return this.targetId;
	},
	
	getLang: function(){
		return this.lang;
	},
	
	/* get and set Quest.targetId */
	setNeedPay: function(needPay){
		this.needPay = needPay;
	},
	
	getNeedPay: function(){
		return this.needPay ? 1 : 0;
	},
	
	getLink: function(){
		return Constant.HOME_PAGE + this.targetId;
	}
});