var UserInfo = Base.extend({
	nick: null,
	likesCount: null,
	answersCount: null,
	subscribersCount: null,
	answers: null,
	profileAvatar: null,
	
	constructor: function(obj){
		this.nick = obj.nick;
		this.likesCount = obj.likesCount;
		this.answersCount = obj.answersCount;
		this.subscribersCount = obj.subscribersCount;
		this.answers = this.parseAnswers(obj.answers);
		this.profileAvatar = obj.profileAvatar;
	},
	
	parseAnswers: function(answers){
		var arr = new Array();
		for(index in answers){
			arr.push(new Answer(answers[index]));
		}
		return arr;
	},

	/* get and set UserAsk.nick */
	setNick: function(nick){
		this.nick = nick;
	},
	
	getNick: function(){
		return this.nick;
	},

	/* get and set UserAsk.likesCount */
	setLikesCount: function(likesCount){
		this.likesCount = likesCount;
	},
	
	getLikesCount: function(){
		return this.likesCount;
	},

	/* get and set UserAsk.answersCount */
	setAnswersCount: function(answersCount){
		this.answersCount = answersCount;
	},
	
	getAnswersCount: function(){
		return this.answersCount;
	},

	/* get and set UserAsk.subscribersCount */
	setSubscribersCount: function(subscribersCount){
		this.subscribersCount = subscribersCount;
	},
	
	getSubscribersCount: function(){
		return this.subscribersCount;
	},
	
	/* get and set UserAsk.answers */
	setAnswers: function(answers){
		this.answers = answers;
	},
	
	getAnswers: function(){
		return this.answers;
	},
	
	getProfileAvatar: function(){
		return this.profileAvatar;
	}
});