var ERR_CODE_BOT_BEFORE = 303;				
var ERR_CODE_BOT_NOPE = 304;
var OK_STATUS = "ok";
var ERR_STATUS = "err";

function curPath(){
	clear();
	var location = {host: window.location.hostname, path: window.location.pathname};
	return JSON.stringify(location);
}

function goPage(page){
	window.location.href = page;
}

function like(){							
	if(window.jQuery){
		var lb = $('.icon-like:first');
		if(lb.length == 0){
			//button dosn`t exist on page
			return ERR_CODE_BOT_NOPE;
		}else{
			if(lb.hasClass("active")){
				//liked before
				return ERR_CODE_BOT_BEFORE;
			}else{
				lb.attr("href", "javascript:void(0)");
				lb.click();
				return OK_STATUS;
			}
		}
	}else{
		return ERR_CODE_BOT_NOPE;
	}
}

function subscribe(){
	if(window.jQuery){
		var sb = $('.profileButton:eq(0)');
		if(sb.length == 0){
			//button dosn`t exist on page
			return ERR_CODE_BOT_NOPE;
		}else{
			if(!sb.hasClass("icon-add-friend")){
				//subscribed before
				return ERR_CODE_BOT_BEFORE;
			}else{
				sb.attr("href", "javascript:void(0)");
				sb.click();
				return OK_STATUS;
			}
		}
	}else{
		return ERR_CODE_BOT_NOPE;
	}
}

function question(q){
	if(window.jQuery){
		var qb = $('#question_question_text');
		if(qb.length == 0){
			//button dosn`t exist on page
			return ERR_CODE_BOT_NOPE;
		}else{
			qb.text(q);
			var cb = $("#single_question_anonymous");
			cb.removeAttr("checked");
			var send_btn = $(".btn-action:first");
			send_btn.click();
			return OK_STATUS;
		}
	}else{
		return ERR_CODE_BOT_NOPE;
	}
}

function clear(){
	clearImages();
	clearCss();
}

function clearImages(){
	var images = document.getElementsByTagName("img");
	for(var i=0; i<images.length; i++){
		var src = images[i].getAttribute("src");
		if(src != "")
		images[i].setAttribute("src_embed", src);
		images[i].setAttribute("src", "");
	}
}

function clearCss(){
	var links = document.getElementsByTagName("link");
	for(var i=0; i<links.length; i++){
		var href = links[i].getAttribute("href");
		if(href != "")
		links[i].setAttribute("href_embed", href);
		links[i].setAttribute("href", "");
	}
}